import 'package:freezed_annotation/freezed_annotation.dart';

part 'iran_province_city_model.freezed.dart';
part 'iran_province_city_model.g.dart';


@freezed
abstract class IranProvinceCityModel with _$IranProvinceCityModel {
  const factory IranProvinceCityModel({
    int? id,
    String? name,
  }) = _IranProvinceCityModel;

  factory IranProvinceCityModel.fromJson(Map<String, dynamic> json) =>
      _$IranProvinceCityModelFromJson(json);
}
